commit: 12e01db59d3f9a015c3b06f4217754f598e50ef5
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 4 17:06:22 2016 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Sep 4 17:07:04 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12e01db5
dev-libs/libxml2: fix linking of python modules on Darwin
Package-Manager: portage-2.2.28
dev-libs/libxml2/libxml2-2.9.4.ebuild | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/dev-libs/libxml2/libxml2-2.9.4.ebuild
b/dev-libs/libxml2/libxml2-2.9.4.ebuild
index 21aff59..2e57be7 100644
--- a/dev-libs/libxml2/libxml2-2.9.4.ebuild
+++ b/dev-libs/libxml2/libxml2-2.9.4.ebuild
@@ -85,6 +85,11 @@ src_prepare() {
# https://bugzilla.gnome.org/show_bug.cgi?id=760458
eapply "${FILESDIR}"/${PN}-2.9.2-python-ABIFLAG.patch
+ # Avoid final linking arguments for python modules
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed -i -e '/PYTHON_LIBS/s/ldflags/libs/' configure.ac || die
+ fi
+
# Please do not remove, as else we get references to PORTAGE_TMPDIR
# in /usr/lib/python?.?/site-packages/libxml2mod.la among things.
# We now need to run eautoreconf at the end to prevent maintainer mode.